Skip to main content
POST
/
v1
/
table
/
{id}
/
insert
Insert records into a table
curl --request POST \
  --url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/insert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.apache.arrow.stream' \
  --data '"<string>"'
import requests

url = "{scheme}://{host}:{port}/{basePath}/v1/table/{id}/insert"

payload = "<string>"
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/vnd.apache.arrow.stream"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/vnd.apache.arrow.stream'
  },
  body: JSON.stringify('<string>')
};

fetch('{scheme}://{host}:{port}/{basePath}/v1/table/{id}/insert', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "context": {},
  "transaction_id": "<string>"
}
{
  "type": "/errors/bad-request",
  "title": "Malformed request",
  "status": 400,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/unauthorized-request",
  "title": "No valid authentication credentials for the operation",
  "status": 401,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/forbidden-request",
  "title": "Not authorized to make this request",
  "status": 403,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/not-found-error",
  "title": "Not found Error",
  "status": 404,
  "detail": "",
  "instance": "/v1/namespaces/{ns}"
}
{
  "type": "/errors/service-unavailable",
  "title": "Slow down",
  "status": 503,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/server-error",
  "title": "Internal Server Error",
  "status": 500,
  "detail": "",
  "instance": "/v1/namespaces"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

string identifier of an object in a namespace, following the Lance Namespace spec. When the value is equal to the delimiter, it represents the root namespace. For example, v1/namespace/$/list performs a ListNamespace on the root namespace.

Query Parameters

delimiter
string

An optional delimiter of the string identifier, following the Lance Namespace spec. When not specified, the $ delimiter must be used.

branch
string

Optional branch to target. When not specified, the main branch is used. Used by branch-scoped operations that cannot carry a branch field in their request body (Arrow IPC stream and bodyless operations). Operations with a JSON request body carry branch as a body field instead.

mode
string
default:append

How the insert should behave. Case insensitive, supports both PascalCase and snake_case. Valid values are:

  • Append (default): insert data to the existing table
  • Overwrite: remove all data in the table and then insert data to it

Body

application/vnd.apache.arrow.stream

Arrow IPC stream containing the records to insert

The body is of type file.

Response

Result of inserting records into a table

Response from inserting records into a table

context
object

Arbitrary context as key-value pairs. How to use the context is custom to the specific implementation.

On a request, it carries caller-provided context to the implementation. On a response, it carries implementation-provided context back to the caller.

REST NAMESPACE ONLY Context entries are mapped to and from HTTP headers using the header. prefix:

  • On a request, any entry whose key starts with header. is sent as an HTTP request header with the prefix stripped. For example, the entry {"header.Authorization": "Bearer abc"} is sent as the request header Authorization: Bearer abc.
  • On a response, every HTTP response header is returned as an entry whose key is the header name prefixed with header.. For example, the response header x-request-id: abc123 is returned as the entry {"header.x-request-id": "abc123"}.
transaction_id
string

Optional transaction identifier